Loading...
Searching...
No Matches
The db-lib API

Functions callable by `db-lib` client programs. More...

Collaboration diagram for The db-lib API:

## Topics

| Primary functions
| Core functions needed by most db-lib programs.
| Remote Procedure functions
| Functions used with stored procedures.
| Bulk copy functions
| Functions to bulk-copy (a/k/a bcp) data to/from the database.
| Money functions
| Functions to manipulate the MONEY datatype.
| Datetime functions
| Functions to manipulate DBDATETIME structures.
| Internals
| Functions called within `db-lib` for self-help.
| Unimplemented
| Functions thus far not implemented in the FreeTDS db-lib implementation.

## Macros

#define | BCP_SETL(x, y)
| Enable (or prevent) bcp operations for connections made with a login.
#define | DBSETLAPP(x, y)
| Set the (client) application name in the login packet.
#define | DBSETLHOST(x, y)
| Set the (client) host name in the login packet.
#define | DBSETLPWD(x, y)
| Set the password in the login packet.
#define | DBSETLUSER(x, y)
| Set the username in the login packet.

## Detailed Description

Functions callable by `db-lib` client programs.

The `db_lib` interface is implemented by both Sybase and Microsoft. FreeTDS seeks to implement first the intersection of the functions defined by the vendors.

## Macro Definition Documentation

## BCP_SETL

#define BCP_SETL | ( |  | x,
|  |  | y )

Value:
dbsetlbool((x), (y), DBSETBCP)
dbsetlbool
RETCODE dbsetlbool(LOGINREC *login, int value, int which)
Set a boolean value in a LOGINREC structure.
Definition dblib.c:909

Enable (or prevent) bcp operations for connections made with a login.

See also
  bcp_setl()

## DBSETLAPP

#define DBSETLAPP | ( |  | x,
|  |  | y )

Value:
dbsetlname((x), (y), DBSETAPP)
dbsetlname
RETCODE dbsetlname(LOGINREC *login, const char *value, int which)
Set the value of a string in a LOGINREC structure.
Definition dblib.c:768

Set the (client) application name in the login packet.

See also
  dbsetlapp()

## DBSETLHOST

#define DBSETLHOST | ( |  | x,
|  |  | y )

Value:
dbsetlname((x), (y), DBSETHOST)

Set the (client) host name in the login packet.

See also
  dbsetlhost()

## DBSETLPWD

#define DBSETLPWD | ( |  | x,
|  |  | y )

Value:
dbsetlname((x), (y), DBSETPWD)

Set the password in the login packet.

See also
  dbsetlpwd()

## DBSETLUSER

#define DBSETLUSER | ( |  | x,
|  |  | y )

Value:
dbsetlname((x), (y), DBSETUSER)

Set the username in the login packet.

See also
  dbsetluser()